# NinetyEight.NEShopBuyResponse

## Struct NEShopBuyResponse <a href="#ninetyeight_neshopbuyresponse" id="ninetyeight_neshopbuyresponse"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Shop buy response

```csharp
[Serializable]
public struct NEShopBuyResponse
```

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### data <a href="#ninetyeight_neshopbuyresponse_data" id="ninetyeight_neshopbuyresponse_data"></a>

User balance for currency after buying a pack (if success)

```csharp
public NEUserBalance data
```

**Field Value**

NEUserBalance

#### errorCode <a href="#ninetyeight_neshopbuyresponse_errorcode" id="ninetyeight_neshopbuyresponse_errorcode"></a>

Error code (0 if success)

```csharp
public int errorCode
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### message <a href="#ninetyeight_neshopbuyresponse_message" id="ninetyeight_neshopbuyresponse_message"></a>

Response message

```csharp
public string message
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### status <a href="#ninetyeight_neshopbuyresponse_status" id="ninetyeight_neshopbuyresponse_status"></a>

Response status (usually this is http response status)

```csharp
public int status
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neshopbuyresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
